# Class ColorIcon

java.lang.Object
fr.iutfbleau.papillon.ColorIcon

All Implemented Interfaces:
  `Icon`

public class ColorIcon extends Object implements Icon
La classe `ColorIcon` permet d’afficher un petit carré coloré servant d’icône dans l’interface de l’application Papillon.

Elle est utilisée notamment pour représenter visuellement un thème de couleur associé à un rappel ou un élément d’interface.

## Constructor Summary

Constructors
Constructor
Description
`ColorIcon(Color couleur, int largeur, int hauteur)`
Constructeur de l’icône colorée.

## Method Summary

Modifier and Type
Method
Description
`int`
`getIconHeight()`
Renvoie la hauteur de l’icône.
`int`
`getIconWidth()`
Renvoie la largeur de l’icône.
`void`
`paintIcon(Component c, Graphics g, int x, int y)`
Dessine l’icône sur le composant spécifié.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ColorIcon

public ColorIcon(Color couleur, int largeur, int hauteur)
Constructeur de l’icône colorée.

Parameters:
  `couleur` - la couleur de l’icône
  `largeur` - la largeur de l’icône
  `hauteur` - la hauteur de l’icône

## Method Details

### getIconWidth

public int getIconWidth()
Renvoie la largeur de l’icône.

Specified by:
  `getIconWidth` in interface `Icon`
Returns:
  la largeur de l’icône

### getIconHeight

public int getIconHeight()
Renvoie la hauteur de l’icône.

Specified by:
  `getIconHeight` in interface `Icon`
Returns:
  la hauteur de l’icône

### paintIcon

public void paintIcon(Component c, Graphics g, int x, int y)
Dessine l’icône sur le composant spécifié.

Specified by:
  `paintIcon` in interface `Icon`
Parameters:
  `c` - le composant sur lequel l’icône est dessinée
  `g` - le contexte graphique utilisé pour le dessin
  `x` - la position horizontale du coin supérieur gauche
  `y` - la position verticale du coin supérieur gauche